# Uses of Interface
org.apache.qpid.proton.amqp.transport.Target

Packages that use Target
Package
Description
org.apache.qpid.proton.amqp.messaging
org.apache.qpid.proton.amqp.transaction
org.apache.qpid.proton.amqp.transport
org.apache.qpid.proton.engine
org.apache.qpid.proton.engine.impl

## Uses of Target in org.apache.qpid.proton.amqp.messaging

Classes in org.apache.qpid.proton.amqp.messaging that implement Target
Modifier and Type
Class
Description
`final class`
`Target`
Methods in org.apache.qpid.proton.amqp.messaging that return Target
Modifier and Type
Method
Description
`Target`
Target.`copy()`

## Uses of Target in org.apache.qpid.proton.amqp.transaction

Classes in org.apache.qpid.proton.amqp.transaction that implement Target
Modifier and Type
Class
Description
`final class`
`Coordinator`
Methods in org.apache.qpid.proton.amqp.transaction that return Target
Modifier and Type
Method
Description
`Target`
Coordinator.`copy()`

## Uses of Target in org.apache.qpid.proton.amqp.transport

Methods in org.apache.qpid.proton.amqp.transport that return Target
Modifier and Type
Method
Description
`Target`
Target.`copy()`
`Target`
Attach.`getTarget()`
Methods in org.apache.qpid.proton.amqp.transport with parameters of type Target
Modifier and Type
Method
Description
`void`
Attach.`setTarget(Target target)`

## Uses of Target in org.apache.qpid.proton.engine

Methods in org.apache.qpid.proton.engine that return Target
Modifier and Type
Method
Description
`Target`
Link.`getRemoteTarget()`
`Target`
Link.`getTarget()`
Methods in org.apache.qpid.proton.engine with parameters of type Target
Modifier and Type
Method
Description
`void`
Link.`setTarget(Target address)`
Expected to be used in a similar manner to `Link.setSource(Source)`

## Uses of Target in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl that return Target
Modifier and Type
Method
Description
`Target`
LinkImpl.`getRemoteTarget()`
`Target`
LinkImpl.`getTarget()`
Methods in org.apache.qpid.proton.engine.impl with parameters of type Target
Modifier and Type
Method
Description
`void`
LinkImpl.`setTarget(Target target)`